package com.tencent.cloud.rn.callkit.utils;

public class Constants {
  public static final String errorCode = "errorCode";
  public static final String message = "message";
  public static final String userId = "userId";
  public static final String callMediaType = "callMediaType";
  public static final String groupId = "groupId";
  public static final String roomId = "roomId";
  public static final String strRoomId = "strRoomId";
  public static final String intRoomId = "intRoomId";
  public static final String timeout = "timeout";
  public static final String callerId = "callerId";
  public static final String calleeIdList = "calleeIdList";
  public static final String userData = "userData";
  public static final String callRole = "callRole";
  public static final String totalTime = "totalTime";
  public static final String oldCallMediaType = "oldCallMediaType";
  public static final String newCallMediaType = "newCallMediaType";
  public static final String offlinePushInfo = "offlinePushInfo";
  public static final String title = "title";
  public static final String isDisablePush = "isDisablePush";
  public static final String iOSPushType = "iOSPushType";
  public static final String desc = "desc";
  public static final String androidSound = "androidSound";
  public static final String androidFCMChannelID = "androidFCMChannelID";
  public static final String androidHuaWeiCategory = "androidHuaWeiCategory";
  public static final String androidOPPOChannelID = "androidOPPOChannelID";
  public static final String androidXiaoMiChannelID = "androidXiaoMiChannelID";
  public static final String ignoreIOSBadge = "ignoreIOSBadge";
  public static final String iOSSound = "iOSSound";
  public static final String androidVIVOClassification = "androidVIVOClassification";

  public static class CallBackFunctionName {
    public static final String onError = "onError";
    public static final String onCallReceived = "onCallReceived";
    public static final String onCallCancelled = "onCallCancelled";
    public static final String onCallBegin = "onCallBegin";
    public static final String onCallEnd = "onCallEnd";
    public static final String onUserReject = "onUserReject";
    public static final String onUserNoResponse = "onUserNoResponse";
    public static final String onUserLineBusy = "onUserLineBusy";
    public static final String onUserJoin = "onUserJoin";
    public static final String onCallMediaTypeChanged = "onCallMediaTypeChanged";
    public static final String onKickedOffline = "onKickedOffline";
    public static final String onUserSigExpired = "onUserSigExpired";
  }
}
